<template>
  <div class="page_footer col-12">
    <span>
      Electronic Merchant Services DMCC
      <br class="visible-xs" />
      © 2017-{{currentYear}}
    </span>
  </div>
</template>

<script>
export default {
  data: () => ({
    currentYear: null
  }),
  mounted() {
    this.currentYear = new Date().getFullYear();
  }
};
</script>

<style lang="sass">
    .visible-xs
        display: none
    .page_footer
        display: flex
        height: 85px
        padding: 0
        align-items: center
        border-top: 2px solid #47474b
        justify-content: space-between
        color: #66676e
        line-height: 1.63
        align-self: flex-end
        font-size: 18px
    @media screen and (max-width: 992px)
        .page_footer
            font-size: 14px
    @media screen and (max-width: 768px)
        .page_footer
            border: none
            position: relative
            font-size: 16px
            &:before
                content: ''
                height: 2px
                position: absolute
                top: 0
                left: 20px
                width: calc(100% - 40px)
                background-color: #47474b
    @media screen and (max-width: 570px)
        .visible-xs
            display: block
        .page_footer
            height: 148px
            flex-direction: column
            font-size: 16px!important
            padding: 30px 0 20px 0!important
            justify-content: flex-start
            span
                min-width: 100%
            span:first-of-type
                margin-bottom: 20px
            &:before
                width: 100vw
                left: 0
</style>